#include <string.h>
#include "../include/aftersteplib.h"

char *
mystrdup (const char *str)
{
  char *c = (char *) safemalloc (strlen (str) + 1);
  strcpy (c, str);
  return c;
}

char *
mystrndup (const char *str, int n)
{
  char *c = (char *) safemalloc (n + 1);
  strncpy (c, str, n);
  c[n] = '\0';
  return c;
}
